module CCasingLinerChokeVariables
    implicit none
    public    
    ! variables
    Type::CasingLinerChokeType
        real(8) :: CasingDepth
        real(8) :: CasingId
        real(8) :: CasingOd
        real(8) :: CasingWeight
        real(8) :: CasingCollapsePressure
        real(8) :: CasingTensileStrength
        
        real(8) :: LinerTopDepth
        real(8) :: LinerLength
        real(8) :: LinerId
        real(8) :: LinerOd
        real(8) :: LinerWeight
        real(8) :: LinerCollapsePressure
        real(8) :: LinerTensileStrength
        
        real(8) :: OpenHoleId
        real(8) :: OpenHoleLength
    End Type CasingLinerChokeType
    ! Type(CasingLinerChokeType)::CasingLinerChoke
    contains    
end module CCasingLinerChokeVariables